Bug 8278 - smbd panic when CTDB is unhealthy
smbd panic when CTDB is unhealthy
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 14:21 UTC by Christian Ambach
Modified: 2011-07-04 19:42 UTC (History)
0 users

See Also:


Attachments
proposed patch (1.03 KB, patch)
2011-06-29 14:23 UTC, Christian Ambach
no flags Details
proposed patch (as in master) (1.13 KB, patch)
2011-06-30 11:28 UTC, Christian Ambach
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ambach 2011-06-29 14:21:53 UTC
When CTDB is unhealthy and smbd spawns a new child, the child will panic and leave a core dump.
This behavior seems to be overcautious, leaving a log message and exiting the process would be good enough.

Proposed patch to be attached next
Comment 1 Christian Ambach 2011-06-29 14:23:11 UTC
Created attachment 6646 [details]
proposed patch
Comment 2 Christian Ambach 2011-06-30 11:28:05 UTC
Created attachment 6652 [details]
proposed patch (as in master)

Updated patch to use lp_clustering() instead of #ifdef CLUSTER_SUPPORT
Comment 3 Volker Lendecke 2011-06-30 14:55:16 UTC
Comment on attachment 6652 [details]
proposed patch (as in master)

not necessarily for 3.6.0, but probably worth it for 3.6.1
Comment 4 Karolin Seeger 2011-07-04 19:42:26 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!